/*
 * The contents of this file are
 * published under the Mozilla Public License 1.1
 */
XPConnector.setUp(
	{
	//nsIIOService:				'@mozilla.org/network/io-service;1',
	nsIFile:					'@mozilla.org/file/local;1',
	nsILocalFile:				'@mozilla.org/file/local;1',
	nsIFileOutputStream:		'@mozilla.org/network/file-output-stream;1',
	nsIFileInputStream:			'@mozilla.org/network/file-input-stream;1',
	nsIScriptableInputStream:	'@mozilla.org/scriptableinputstream;1',
	
	nsIFontList:				'@mozilla.org/gfx/fontlist;1',

	nsIProcess:					'@mozilla.org/process/util;1',
	nsIProperties:				'@mozilla.org/file/directory_service;1',
	
	nsILocalFile_init:			'initWithPath',		//constructor i12n
	
	mozDirSet:
		{
		moz_chrome:				'AChrom',
		moz_defaults:			'DefRt',
		moz_pref:				'PrfDef',
		moz_profile:			'ProfDefNoLoc',
		moz_profileLocale:		'profDef',
		moz_resources:			'ARes',
		moz_plugins:			'APlugns',
		moz_searchPlugins:		'SrchPlugns',
		user_application:		'AppRegD',
		user_register:			'AppRegF',
		profile_root:			'DefProfRt',
		profile_slt:			'PrefD',
		profile_javascript:		'PrefF',
		profile_chrome:			'UChrm',
		profile_store:			'LclSt',
		profile_history:		'UHist',
		profile_panels:			'UPnls',
		profile_mime:			'UMimTyp',
		profile_bookmarks:		'BMarks',
		profile_search:			'SrchF',
		profile_mail:			'MailD',
		profile_imap:			'IMapMD',
		profile_news:			'NewsD',
		profile_panacea:		'MFCaD'
		},

	nsIFilePicker:				'@mozilla.org/filepicker;1',

	nsIRDFService:				'@mozilla.org/rdf/rdf-service;1',
	nsIRDFDataSource:			'@mozilla.org/rdf/datasource;1?name=xml-datasource',
	nsIRDFInMemoryDataSource:	'@mozilla.org/rdf/datasource;1?name=in-memory-datasource',
	nsIRDFCompositeDataSource:	'@mozilla.org/rdf/datasource;1?name=composite-datasource',
	nsIRDFContainerUtils:		'@mozilla.org/rdf/container-utils;1',

	nsIRDFXMLSerializer:		'@mozilla.org/rdf/xml-serializer;1',
	nsIRDFXMLSource:			'@mozilla.org/rdf/xml-serializer;1',

	nsIPrefService:				'@mozilla.org/preferences-service;1',
	nsIPrefBranch:				'@mozilla.org/preferencesbranch;1',

	end:						'LAST_PROPERTY'
	}
);


__IMPORT__("chrome://mozquery/content/gui/js/");



//################
function MZQ_onLoad		//<f>void<a>public<d>window onload event handler
(){
window.sizeToContent();
Stdout.setOut('::::::::::::::::::::::::\n%N', 'Enter Mozquery');
MZQ.mediator = new GUI_Mediator();
}//</f>onLoad

 
//################
function MZQ_onUnload		//<f>void<a>public<d>window onunload event handler
(){
Stdout.setOut('%N\n', 'Exit Mozquery');
}//</f>onUnload

